{%- if appRoute != 'app_post' -%}
    <div class="text">
        {%- set body = post.body|sanitizeClear -%}
        {%- if body|sanitizeClear|length > 180 -%}
            {{- body[:177] ~ '...'  -}}
        {%- else -%}
            {{- body|sanitizeClear -}}
        {%- endif -%}
    </div>
{%- else -%}
    <div class="text">
        {%- set body = post.body|sanitizeClear -%}
        {%- if body|sanitizeClear|length > 500 -%}
            {{- body[:477] ~ '...'  -}}
        {%- else -%}
            {{- body|sanitizeClear -}}
        {%- endif -%}
    </div>
{%- endif -%}

